# vim: set ts=2 sw=2 sts=2 et:
#
# Fixtures
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

XLite\Model\Task:
  - owner: XC\TrustedVendors\Core\Task\SendForApprovalProductList

XLite\Model\LanguageLabel:
  - {name: 'Approve product', translations: [{code: en, label: 'Approve product'}, {code: ru, label: 'Одобрить товар'}]}
  - {name: 'Decline product', translations: [{code: en, label: 'Decline product'}, {code: ru, label: 'Отклонить товар'}]}
  - {name: 'Send for approval', translations: [{code: en, label: 'Send for approval'}, {code: ru, label: 'Отправить на одобрение'}]}
  - {name: 'Product is approved', translations: [{code: en, label: 'Product is approved'}, {code: ru, label: 'товар одобрен'}]}
  - {name: 'Product is unapproved', translations: [{code: en, label: 'Product is unapproved'}, {code: ru, label: 'товар не одобрен'}]}
  - {name: 'Product is sent for approval', translations: [{code: en, label: 'Product is sent for approval'}, {code: ru, label: 'товар отправлен на одобрение'}]}
  - {name: 'Product is declined', translations: [{code: en, label: 'Product is declined'}, {code: ru, label: 'товар отклонен'}]}
  - {name: 'Approve and add comment', translations: [{code: en, label: 'Approve and add comment'}, {code: ru, label: 'Одобрить и добавить комментарий'}]}
  - {name: 'Decline and add comment', translations: [{code: en, label: 'Decline and add comment'}, {code: ru, label: 'Отклонить и добавить комментарий'}]}
  - {name: 'Approve status', translations: [{code: en, label: 'Approve status'}, {code: ru, label: 'Статус проверки товаров'}]}
  - {name: 'Any approve status', translations: [{code: en, label: 'Any approve status'}, {code: ru, label: 'Любой статус'}]}
  - {name: 'Only approved', translations: [{code: en, label: 'Only approved'}, {code: ru, label: 'Только одобренные'}]}
  - {name: 'Only unapproved', translations: [{code: en, label: 'Only unapproved'}, {code: ru, label: 'Только неодобренные'}]}
  - {name: 'Only sent for approval', translations: [{code: en, label: 'Only sent for approval'}, {code: ru, label: 'Только в ожидании одобрения'}]}
  - {name: 'Only declined', translations: [{code: en, label: 'Only declined'}, {code: ru, label: 'Только отклоненные'}]}
  - {name: 'Unapproved products', translations: [{code: en, label: 'Unapproved products'}, {code: ru, label: 'Непроверенные товары'}]}
  - {name: 'Products awaiting approval', translations: [{code: en, label: 'Products awaiting approval'}, {code: ru, label: 'товары, ожидающие одобрения'}]}
  - {name: 'Trusted vendor field_name', translations: [{code: en, label: 'Trusted vendor'}, {code: ru, label: 'Проверенный продавец'}]}
  - {name: 'Trusted vendor', translations: [{code: en, label: 'Trusted vendor'}, {code: ru, label: 'Надежный продавец'}]}
  - {name: 'Non-trusted vendor', translations: [{code: en, label: 'Non-trusted vendor'}, {code: ru, label: 'Ненадежный продавец'}]}
  - {name: '(none)', translations: [{code: en, label: '(none)'}, {code: ru, label: '(отсутствует)'}]}

  - {name: 'Non-trusted vendor`s updated products', translations: [{code: en, label: 'Non-trusted vendor`s updated products'}]}
  - {name: 'Trusted vendors: send for approval product list', translations: [{code: en, label: 'Trusted vendors: send for approval product list'}]}

XLite\Model\Notification:
  - templatesDirectory: modules/XC/TrustedVendors/product_approved
    position: 2640
    availableForAdmin: true
    availableForCustomer: false
    enabledForAdmin: true
    enabledForCustomer: false
    adminHeaderEnabled: true
    adminGreetingEnabled: false
    adminSignatureEnabled: true
    customerHeaderEnabled: true
    customerGreetingEnabled: true
    customerSignatureEnabled: true
    editable: true
    module: XC\TrustedVendors
    translations:
      - code: en
        name: 'Product was approved by admin (for vendor) (Trusted/Non-trusted vendors module)'
        description: 'This message is sent to notify the vendor that his product was approved.'
        adminSubject: 'Your product is approved'
        adminText: '<h3 dir="ltr">Greetings %recipient_name%,</h3><p dir="ltr">Your listing for %vendor_product_link% looks good to us. It will go live in a couple of seconds. Happy selling!</p><blockquote><p dir="ltr">%approve_decline_comment%</p></blockquote>'
      - code: ru
        name: 'товар одобрен администратором магазина (для продавца) (Trusted/Non-trusted vendors module)'
        description: 'Данное оповещение отправляется продавцу, когда его товар был одобрен администратором магазина.'
        adminSubject: 'Ваш товар одобрен'
        adminText: '<h4>Ваш товар одобрен</h4><p>Название товара: %vendor_product_name%</p><p>Ссылка на товар: %vendor_product_link%</p><p>Комментарий:&nbsp;%approve_decline_comment%</p>'
      - code: es
        name: 'El producto ha sido aprobado por el administrador (para el vendedor) (módulo de vendedores de confianza/no de confianza)'
        description: 'Este mensaje se envía para notificar al vendedor que su producto ha sido aprobado.'
        adminSubject: 'Su producto ha sido aprobado'
        adminText: '<h3 dir="ltr">Saludos %recipient_name%,</h3><p dir="ltr">Su anuncio para %vendor_product_link% nos parece bien. Se publicará en unos segundos. </p><blockquote><p dir="ltr">%approve_decline_comment%</p></blockquote>'

  - templatesDirectory: modules/XC/TrustedVendors/product_declined
    position: 2650
    availableForAdmin: true
    availableForCustomer: false
    enabledForAdmin: true
    enabledForCustomer: false
    adminHeaderEnabled: true
    adminGreetingEnabled: false
    adminSignatureEnabled: true
    customerHeaderEnabled: true
    customerGreetingEnabled: true
    customerSignatureEnabled: true
    editable: true
    module: XC\TrustedVendors
    translations:
      - code: en
        name: 'Product was declined by admin (for vendor) (Trusted/Non-trusted vendors module)'
        description: 'This message is sent to notify the vendor that his product was declined.'
        adminSubject: 'Your product is declined'
        adminText: '<h3 dir="ltr">Uh oh, %recipient_name%.</h3><p dir="ltr">We can&rsquo;t add your %vendor_product_link% to the %company_name% catalogue.&nbsp;</p><p dir="ltr">Here&rsquo;s why:</p><blockquote><p dir="ltr">%approve_decline_comment%</p></blockquote><p>Edit your listing to be more in keeping with the guidelines and give it another go.</p>'
      - code: ru
        name: 'товар отклонен администратором магазина (для продавца) (Trusted/Non-trusted vendors module)'
        description: 'Данное оповещение отправляется продавцу, когда его товар был отклонен администратором магазина.'
        adminSubject: 'Ваш товар отклонен'
        adminText: '<h4>Ваш товар отклонен</h4><p>Название товара: %vendor_product_name%</p><p>Ссылка на товар: %vendor_product_link%</p><p>Комментарий:&nbsp;%approve_decline_comment%</p>'
      - code: es
        name: 'El producto ha sido rechazado por el administrador (para el vendedor) (módulo de vendedores de confianza/no confianza)'
        description: 'Este mensaje se envía para notificar al vendedor que su producto ha sido rechazado.'
        adminSubject: 'Su producto ha sido rechazado'
        adminText: '<h3 dir="ltr">Uh oh, %recipient_name%.</h3><p dir="ltr">No podemos&rsquo;añadir su %vendor_product_link% al catálogo de %company_name%. &nbsp;</p><p dir="ltr">Aquí&rsquo;está el porqué:</p><blockquote><p dir="ltr">%approve_decline_comment%</p></blockquote><p>Edita tu anuncio para que se ajuste más a las directrices y vuelve a intentarlo.</p>'
